From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/ortp/
Date: Sun, 9 Oct 2016 16:19:14 +0000 (UTC) [thread overview]
Message-ID: <1476029918.81436a875a39e0afaf17f500b50b1b7d20e92602.pacho@gentoo> (raw)
commit: 81436a875a39e0afaf17f500b50b1b7d20e92602
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 9 15:36:03 2016 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Oct 9 16:18:38 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81436a87
net-libs/ortp: Support libressl (#565236)
Package-Manager: portage-2.3.1
net-libs/ortp/ortp-0.23.0-r1.ebuild | 81 +++++++++++++++++++++++++++++++++++++
1 file changed, 81 insertions(+)
diff --git a/net-libs/ortp/ortp-0.23.0-r1.ebuild b/net-libs/ortp/ortp-0.23.0-r1.ebuild
new file mode 100644
index 00000000..bdc1b15
--- /dev/null
+++ b/net-libs/ortp/ortp-0.23.0-r1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils
+
+DESCRIPTION="Open Real-time Transport Protocol (RTP, RFC3550) stack"
+HOMEPAGE="http://www.linphone.org/"
+SRC_URI="mirror://nongnu/linphone/${PN}/sources/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0/9"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~ppc-macos ~x64-macos ~x86-macos"
+
+IUSE="debug doc examples ipv6 libressl minimal ntp-timestamp ssl srtp zrtp"
+REQUIRED_USE="zrtp? ( srtp )"
+
+RDEPEND="
+ ssl? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:= ) )
+ srtp? ( net-libs/libsrtp:0= )
+ zrtp? ( >=net-libs/libzrtpcpp-4.0.0:0= )
+"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ default
+ # ${P} is added after ${docdir}
+ if use doc; then
+ sed -i -e 's/$(docdir)\/$(PACKAGE)-$(VERSION)/$(docdir)/' Makefile.in \
+ || die "patching Makefile.in failed"
+ fi
+}
+
+src_configure() {
+ local myeconfargs=(
+ # memcheck is for HP-UX only
+ --disable-memcheck
+ # mode64bit adds +DA2.0W +DS2.0 CFLAGS wich are needed for HP-UX
+ --disable-mode64bit
+ # strict adds -Werror, do not want it
+ --disable-strict
+ # they seriously failed to understand AC_ARG_ENABLE...
+ --disable-tests_enabled
+ --enable-fast-install
+ --enable-libtool-lock
+ # this is fine as long as we do not link to polarssl
+ --enable-broken-srtp
+
+ $(use_enable debug)
+ $(use_enable ipv6)
+ $(use_enable minimal perf)
+ $(use_enable ntp-timestamp)
+ $(use_enable ssl ssl-hmac)
+ $(use_enable zrtp)
+
+ --with-srtp=$(usex srtp "${EPREFIX}"/usr none)
+ $(use doc || echo ac_cv_path_DOXYGEN=false)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" pkgdocdir="${EPREFIX}"/usr/share/doc/${PF} \
+ install
+
+ einstalldocs
+
+ prune_libtool_files
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins src/tests/*.c
+ fi
+}
next reply other threads:[~2016-10-09 16:19 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-10-09 16:19 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-02-13 21:08 [gentoo-commits] repo/gentoo:master commit in: net-libs/ortp/ Conrad Kostecki
2021-05-31 17:49 David Seifert
2021-05-31 9:20 David Seifert
2021-05-02 10:56 Mikle Kolyada
2019-07-29 18:42 Aaron Bauman
2018-06-20 16:59 Pacho Ramos
2017-02-04 19:48 Michał Górny
2016-10-09 16:19 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1476029918.81436a875a39e0afaf17f500b50b1b7d20e92602.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox